Bug 471394 - Update Release: & Version: in spec file
Update Release: & Version: in spec file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs5 (Show other bugs)
4.9
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ian Kent
qe-baseos-daemons
:
Depends On: 471385
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 09:12 EST by Ian Kent
Modified: 2011-02-16 09:20 EST (History)
4 users (show)

See Also:
Fixed In Version: autofs5-5.0.1-0.rc2.110
Doc Type: Bug Fix
Doc Text:
The the autofs spec file was updated to define Release: and Version: in-line rather than first using a %define statement To stream-line tps automated testing.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 09:20:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Kent 2008-11-13 09:12:39 EST
+++ This bug was initially created as a clone of Bug #471385 +++

Description of problem:
To stream-line tps automated testing, please update the autofs spec file to define Release: and Version: in-line rather than first using a %define statement. Thanks! ie, 

--- /usr/src/redhat/SPECS/autofs.spec.orig      2008-11-13 08:09:40.000000000 -0500
+++ /usr/src/redhat/SPECS/autofs.spec   2008-11-13 08:10:53.000000000 -0500
@@ -3,10 +3,8 @@
 #
 Summary: A tool for automatically mounting and unmounting filesystems.
 Name: autofs
-%define version 5.0.1
-%define release 0.rc2.88%{?dist}.1
-Version: %{version}
-Release: %{release}
+Version: 5.0.1
+Release: 0.rc2.88%{?dist}.1
 Epoch: 1
 License: GPL
 Group: System Environment/Daemons
Comment 3 Jeff Moyer 2008-11-14 09:40:10 EST
Can I ask why you don't simply use rpm itself to parse the spec file instead of having people change their .specs?

rpm -q --specfile autofs.spec  --queryformat="whateveryouwant\n"
Comment 5 yanfu,wang 2010-11-01 03:04:47 EDT
hi Ian,
seem %{?dist} tag is missing in the new specfile:
Name: autofs5
%define version 5.0.1
%define release 0.rc2.111
Version: 5.0.1
Release: 0.rc2.112
Comment 6 Ian Kent 2010-11-01 03:47:06 EDT
(In reply to comment #5)
> hi Ian,
> seem %{?dist} tag is missing in the new specfile:
> Name: autofs5
> %define version 5.0.1
> %define release 0.rc2.111
> Version: 5.0.1
> Release: 0.rc2.112

The %{?dist} is missing from the RHEL-4 rpm configuration so
I don't think that can be used.

I'll fix the mismatch in the release between the macro and the
tag that you've pointed out above.
Comment 8 Florian Nadge 2011-01-03 11:17:00 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the file handle was not correctly initialized, which could lead to excessive CPU utilization. This update resolves this problem in the RPC library code and initializes the file handle correctly.
Comment 9 Florian Nadge 2011-01-03 11:22:59 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Previously, the file handle was not correctly initialized, which could lead to excessive CPU utilization. This update resolves this problem in the RPC library code and initializes the file handle correctly.+The the autofs spec file was updated to define Release: and Version: in-line rather than first using a %define statement To stream-line tps automated testing.
Comment 10 errata-xmlrpc 2011-02-16 09:20:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0241.html

Note You need to log in before you can comment on or make changes to this bug.